Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.xml.domain.impl
Class Argument

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.Argument

    public class Argument

extends java.lang.Object

Version:
  $Id: Argument.java 4307 2006-08-24 08:13:55Z giulio $
Author:
  tkavanagh

Field Summary
`static java.lang.String` | `CREATE_REPORTUNIT`
`static java.lang.String` | `IC_GET_QUERY_DATA`
`static java.lang.String` | `LIST_DATASOURCES`
`static java.lang.String` | `LIST_RESOURCES`
`static java.lang.String` | `MODIFY_REPORTUNIT`
`static java.lang.String` | `NO_RESOURCE_DATA_ATTACHMENT`
`static java.lang.String` | `NO_SUBRESOURCE_DATA_ATTACHMENTS`
`static java.lang.String` | `REPORT_TYPE`
`static java.lang.String` | `RESOURCE_TYPE`
`static java.lang.String` | `RUN_OUTPUT_FORMAT`
`static java.lang.String` | `RUN_OUTPUT_FORMAT_CSV`
`static java.lang.String` | `RUN_OUTPUT_FORMAT_HTML`
`static java.lang.String` | `RUN_OUTPUT_FORMAT_JRPRINT`
`static java.lang.String` | `RUN_OUTPUT_FORMAT_PDF`
`static java.lang.String` | `RUN_OUTPUT_FORMAT_RTF`
`static java.lang.String` | `RUN_OUTPUT_FORMAT_XLS`
`static java.lang.String` | `RUN_OUTPUT_FORMAT_XML`
`static java.lang.String` | `RUN_OUTPUT_IMAGES_URI`
`static java.lang.String` | `RUN_OUTPUT_PAGE`
`static java.lang.String` | `START_FROM_DIRECTORY`
`static java.lang.String` | `VALUE_FALSE`
`static java.lang.String` | `VALUE_TRUE`

Constructor Summary
`Argument()`
`Argument(java.lang.String name, java.lang.String value)` Creates a new instance of Argument

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`void` | `setName(java.lang.String name)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODIFY_REPORTUNIT

    public static final java.lang.String MODIFY_REPORTUNIT

See Also:
  Constant Field Values

### CREATE_REPORTUNIT

    public static final java.lang.String CREATE_REPORTUNIT

See Also:
  Constant Field Values

### LIST_DATASOURCES

    public static final java.lang.String LIST_DATASOURCES

See Also:
  Constant Field Values

### IC_GET_QUERY_DATA

    public static final java.lang.String IC_GET_QUERY_DATA

See Also:
  Constant Field Values

### VALUE_TRUE

    public static final java.lang.String VALUE_TRUE

See Also:
  Constant Field Values

### VALUE_FALSE

    public static final java.lang.String VALUE_FALSE

See Also:
  Constant Field Values

### RUN_OUTPUT_FORMAT

    public static final java.lang.String RUN_OUTPUT_FORMAT

See Also:
  Constant Field Values

### RUN_OUTPUT_FORMAT_PDF

    public static final java.lang.String RUN_OUTPUT_FORMAT_PDF

See Also:
  Constant Field Values

### RUN_OUTPUT_FORMAT_JRPRINT

    public static final java.lang.String RUN_OUTPUT_FORMAT_JRPRINT

See Also:
  Constant Field Values

### RUN_OUTPUT_FORMAT_HTML

    public static final java.lang.String RUN_OUTPUT_FORMAT_HTML

See Also:
  Constant Field Values

### RUN_OUTPUT_FORMAT_XLS

    public static final java.lang.String RUN_OUTPUT_FORMAT_XLS

See Also:
  Constant Field Values

### RUN_OUTPUT_FORMAT_XML

    public static final java.lang.String RUN_OUTPUT_FORMAT_XML

See Also:
  Constant Field Values

### RUN_OUTPUT_FORMAT_CSV

    public static final java.lang.String RUN_OUTPUT_FORMAT_CSV

See Also:
  Constant Field Values

### RUN_OUTPUT_FORMAT_RTF

    public static final java.lang.String RUN_OUTPUT_FORMAT_RTF

See Also:
  Constant Field Values

### RUN_OUTPUT_IMAGES_URI

    public static final java.lang.String RUN_OUTPUT_IMAGES_URI

See Also:
  Constant Field Values

### RUN_OUTPUT_PAGE

    public static final java.lang.String RUN_OUTPUT_PAGE

See Also:
  Constant Field Values

### LIST_RESOURCES

    public static final java.lang.String LIST_RESOURCES

See Also:
  Constant Field Values

### RESOURCE_TYPE

    public static final java.lang.String RESOURCE_TYPE

See Also:
  Constant Field Values

### REPORT_TYPE

    public static final java.lang.String REPORT_TYPE

See Also:
  Constant Field Values

### START_FROM_DIRECTORY

    public static final java.lang.String START_FROM_DIRECTORY

See Also:
  Constant Field Values

### NO_RESOURCE_DATA_ATTACHMENT

    public static final java.lang.String NO_RESOURCE_DATA_ATTACHMENT

See Also:
  Constant Field Values

### NO_SUBRESOURCE_DATA_ATTACHMENTS

    public static final java.lang.String NO_SUBRESOURCE_DATA_ATTACHMENTS

See Also:
  Constant Field Values

Constructor Detail

### Argument

    public Argument(java.lang.String name,
                    java.lang.String value)

  Creates a new instance of Argument

### Argument

    public Argument()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.